﻿using Hotline.Share.Enums.KnowledgeBase;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 草稿箱
    /// </summary>
    public record MyDraftsListPagedDto(string? KnowledgeTypeId, DateTime? StartTime, DateTime? EndTime) : PagedKeywordRequest;

    /// <summary>
    /// 审核管理
    /// </summary>
    /// <param name="AuditType">审核类型</param>
    /// <param name="Title">标题</param>
    /// <param name="CreateUserName">创建人</param>
    /// <param name="CreateOrgName">创建部门</param>
    public record KnowledgeApprovalPagedListDto(string? AuditType, string? Title, string? CreateUserName, string? CreateOrgName) : PagedRequest;

    /// <summary>
    /// 知识检索
    /// </summary>
    /// <param name="RetrievalType">检索类型</param>
    public record KnowledgeRetrievalPagedListDto(string? RetrievalType) : PagedKeywordRequest;

    /// <summary>
    /// 
    /// </summary>
    /// <param name="CreateOrgId">部门</param>
    /// <param name="HotspotId">热点</param>
    /// <param name="KnowledgeTypeId">分类</param>
    /// <param name="Status">状态</param>
    /// <param name="CreationStartTime">创建开始</param>
    /// <param name="CreationEndTime">创建结束</param>
    /// <param name="StartOnShelfTime">上架时间-开始</param>
    /// <param name="EndOnShelfTime">上架时间-结束</param>
    /// <param name="StartOffShelfTime">下架时间-开始</param>
    /// <param name="EndOffShelfTime">下架时间-结束</param>
    public record KnowPagedListDto(string? CreateOrgId, string? HotspotId, string? KnowledgeTypeId, EKnowledgeStatus? Status, DateTime? CreationStartTime, DateTime? CreationEndTime,
      DateTime? StartOnShelfTime, DateTime? EndOnShelfTime, DateTime? StartOffShelfTime, DateTime? EndOffShelfTime) : PagedKeywordRequest;
}
