﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Definitions;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Settings;

/// <summary>
/// 工作流业务模块
/// </summary>
//[SugarIndex("unique_account_username", nameof(WorkflowModule.Code), OrderByType.Asc, true)]
//public class WorkflowModule : CreationEntity
//{
//    public string Name { get; set; }

//    public string Code { get; set; }

//    public string DefinitionCode { get; set; }
//}

public class WorkflowModule
{
    public WorkflowModule()
    {
        Modules = new Dictionary<string, string>
        {
            { WorkflowModuleConsts.Order, "工单审批" },
            { WorkflowModuleConsts.KnowledgePublish, "知识发布" },
            { WorkflowModuleConsts.KnowledgeUpdate, "知识更新" },
            { WorkflowModuleConsts.KnowledgeDelete, "知识删除" },
        };
    }

    public Dictionary<string, string> Modules { get; init; }
}

public class WorkflowModuleConsts
{
    /// <summary>
    /// 工单审批
    /// </summary>
    public const string Order = "Order";

    /// <summary>
    /// 知识发布流程
    /// </summary>
    public const string KnowledgePublish = "KnowledgePublish";
    public const string KnowledgeUpdate = "KnowledgeUpdate";
    public const string KnowledgeDelete = "KnowledgeDelete";

}